
#property copyright "Copyright  2004, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

#property indicator_separate_window
#property indicator_buffers 3
#property indicator_color1 Red
#property indicator_color2 Yellow
#property indicator_color3 Green

extern int CalcBar=24;
extern double K=1;
//---- buffers
double ExtMapBuffer1[];
double ExtMapBuffer2[];
double ExtMapBuffer3[];

//----

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//|------------------------------------------------------------------|
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_HISTOGRAM);
   SetIndexBuffer(0, ExtMapBuffer1);
   SetIndexLabel(0,"Candle");
   SetIndexStyle(1,DRAW_LINE);
   SetIndexBuffer(1, ExtMapBuffer2);
   SetIndexLabel(1,"Midle");
   SetIndexStyle(2,DRAW_LINE);
   SetIndexBuffer(2, ExtMapBuffer3);
   SetIndexLabel(2,"CKO");
//---- initialization done

   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//---- TODO: add your code here
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start() {
   int ExtCountedBars=IndicatorCounted();
   int limit=Bars-ExtCountedBars-1;

   for (int i=limit;i>=0;i--) ExtMapBuffer1[i]=High[i]-Low[i];
   for (i=limit;i>=0;i--) {
      ExtMapBuffer2[i]=iMAOnArray(ExtMapBuffer1, 0, CalcBar,0,MODE_SMA,i);
      ExtMapBuffer3[i]=ExtMapBuffer2[i]+K*iStdDevOnArray(ExtMapBuffer1, 0, CalcBar,0,MODE_SMA,i);
   }
   return(0);
}
//+------------------------------------------------------------------+